---
agentTools:
  projectIndex: https://docs.cancergenomicscloud.org/llms.txt
---

# Get details of a project

/projects/{project_owner}/{project}

This call returns the details of a specified project.

[block:code]
{
  "codes": [
    {
      "code": "https://cgc-api.sbgenomics.com/v2/projects/{project_owner}/{project}",
      "language": "text",
      "name": "Path"
    }
  ]
}
[/block]

\##Request

\###Example request

[block:callout]
{
  "type": "success",
  "title": "Referring to your project",
  "body": "Note that `project_owner` is always case-sensitive, and that `project` is not the project's name but its short name. For full details of identifying objects using the API, please see the [API overview](the-cgc-api#section-identifying-projects-users-apps-files-tasks-and-inputs)."
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "GET /v2/projects/rfranklin/rfranklin-s-demo-project HTTP/1.1\nHost: cgc-api.sbgenomics.com\nX-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74",
      "language": "http",
      "name": null
    },
    {
      "code": "curl  -s -H \"X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74\" -H \"content-type: application/json\" -X GET \"http://cgc-api.sbgenomics.com/v2/projects/rfranklin/rfranklin-s-demo-project\"",
      "language": "curl",
      "name": "cURL"
    }
  ],
  "sidebar": true
}
[/block]

\###Header Fields

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Description",
    "0-0": "`X-SBG-Auth-Token`\n<span style=\"color:red\"><i>required</i></span>",
    "0-1": "Your CGC [authentication token](https://docs.cancergenomicscloud.org/docs/get-your-authentication-token).",
    "h-2": ""
  },
  "cols": 2,
  "rows": 1
}
[/block]

\###Path parameters

[block:parameters]
{
  "data": {
    "0-0": "`project`",
    "1-0": "`project_owner`",
    "h-0": "Name",
    "h-1": "Description",
    "0-1": "The short name of the project you are querying.",
    "1-1": "The owner of the project you are querying."
  },
  "cols": 2,
  "rows": 2
}
[/block]

\###Query parameters

[block:parameters]
{
  "data": {
    "h-0": "Name",
    "h-1": "Data type",
    "h-2": "Description",
    "0-0": "`fields`",
    "0-1": "string",
    "0-2": "Selector specifying a subset of fields to include in the response."
  },
  "cols": 3,
  "rows": 1
}
[/block]

\##Response

[See a list of CGC-specific response codes that may be contained in the body of the response](https://docs.cancergenomicscloud.org/docs/api-status-codes).

\###Example response body

This example response body displays the JSON returned when the `fields` parameter in the request is set to `_all`.

[block:code]
{
  "codes": [
    {
      "code": "{\n  \"href\": \"http://cgc-api.sbgenomics.com/v2/projects/rfranklin/rfranklin-s-demo-project\",\n  \"id\": \"rfranklin/rfranklin-s-demo-project\",\n  \"name\": \"rfranklin's Demo Project\",\n  \"type\": \"v2\",\n  \"description\": \"This project contains data, completed analyses, and results.\\n\\Contains WGS, WES, and two different RNA-Seq read alignments - STAR and TopHat, fusion transcript detection analysis using ChimeraScan, FASTQ quality control and more.\\n\\n Open it up and  take a look.\",\n  \"tags\": [],\n  \"settings\": {\n    \"locked\": false,\n    \"controlled\": true,\n    \"use_interruptible_instances\": false,\n    \"use_memoization\": true,\n    \"allow_network_access\": true,\n    \"intermediate_files\": {\n      \"retention\":\"LIMITED\",\n      \"duration\":24\n     }\n  },\n  \"permissions\": {\n    \"write\": true,\n    \"read\": true,\n    \"copy\": true,\n    \"execute\": true,\n    \"admin\": true\n  },\n  \"billing_group\": \"ec1dc1e3-12a3-4b56-789c-e3f2dca0c6f7\"\n}",
      "language": "json"
    }
  ],
  "sidebar": true
}
[/block]

**Interpreting the response body**

* The object `type` in the response should be ignored: all projects have type `v2`.
* The object `tags` is an array that either contains the string `"tcga"` or is empty. If it contains `"tcga"` this indicates that the project is a [Controlled Data project](projects-on-the-cgc). Otherwise, the project is Open Data.
* The dictionary `settings` contains two Boolean field, `locked` and `controlled`. The `locked` field shows whether or not your project is locked. You can lock down a project to prevent any Seven Bridges team member from viewing information about your project. Learn more about [creating a locked project](https://docs.cancergenomicscloud.org/docs/create-a-new-project#lock). The `controlled` field indicates whether or not the project is a [controlled data project](https://docs.cancergenomicscloud.org/docs/projects-on-the-cgc#section-controlled-data-project).